FormattedTextColumn

Overview | Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openswing.swing.table.columns.client
Class FormattedTextColumn

    java.lang.Object
      java.awt.Component
          java.awt.Container
              javax.swing.JComponent
                  javax.swing.JPanel
                      org.openswing.swing.table.columns.client.Column
                          org.openswing.swing.table.columns.client.FormattedTextColumn

All Implemented Interfaces:
  javax.accessibility.Accessible, java.awt.image.ImageObserver, java.awt.MenuContainer, java.io.Serializable

public class FormattedTextColumn
extends Column

Title: OpenSwing Framework

Description: Column of type formatted text: it contains a formatted text input field.

Copyright: Copyright (C) 2006 Mauro Carniel

This file is part of OpenSwing Framework. This library is free software; you can redistribute it and/or modify it under the terms of the (LGPL) Lesser General Public License as published by the Free Software Foundation; GNU LESSER GENERAL PUBLIC LICENSE Version 2.1, February 1999 This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Library General Public License for more details. You should have received a copy of the GNU Library General Public License along with this library; if not, write to the Free Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA. The author may be contacted at: maurocarniel@tin.it

See Also:
  Serialized Form

Nested Class Summary

Nested classes inherited from class javax.swing.JComponent
`javax.swing.JComponent.AccessibleJComponent`

Field Summary

Fields inherited from class org.openswing.swing.table.columns.client.Column
`autoFitColumn, TYPE_BUTTON, TYPE_CHECK, TYPE_COMBO, TYPE_COMBO_VO, TYPE_CURRENCY, TYPE_DATE, TYPE_DATE_TIME, TYPE_DEC, TYPE_FILE, TYPE_FORMATTED_TEXT, TYPE_IMAGE, TYPE_INT, TYPE_LINK, TYPE_LOOKUP, TYPE_MULTI_LINE_TEXT, TYPE_MULTIPLE_TYPE, TYPE_PERC, TYPE_PROGRESS_BAR, TYPE_TEXT, TYPE_TIME`

Fields inherited from class javax.swing.JComponent
`TOOL_TIP_TEXT_KEY, UNDEFINED_CONDITION, WHEN_ANCESTOR_OF_FOCUSED_COMPONENT, WHEN_FOCUSED, WHEN_IN_FOCUSED_WINDOW`

Fields inherited from class java.awt.Component
`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Fields inherited from interface java.awt.image.ImageObserver
`ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

Constructor Summary
`FormattedTextColumn()`

Method Summary
`void` | `commitEdit()` Forces the current value to be taken from the AbstractFormatter and set as the current value.
`javax.swing.Action[]` | `getActions()`
`int` | `getBottomMargin()`
`javax.swing.table.TableCellEditor` | `getCellEditor(GridController tableContainer, Grids grids)`
`javax.swing.table.TableCellRenderer` | `getCellRenderer(GridController tableContainer, Grids grids)`
`int` | `getColumnType()`
`FormatterController` | `getController()`
`int` | `getFocusLostBehavior()`
`javax.swing.JFormattedTextField.AbstractFormatter` | `getFormatter()`
`javax.swing.JFormattedTextField.AbstractFormatterFactory` | `getFormatterFactory()`
`int` | `getLeftMargin()`
`int` | `getRightMargin()`
`org.openswing.swing.table.columns.client.FormattedTextColumn.FormattedTextBox` | `getTextBox()`
`int` | `getTopMargin()`
`void` | `invalidEdit()` Invoked when the user inputs an invalid value.
`boolean` | `isEditValid()`
`void` | `setBottomMargin(int bottomMargin)` Set component bottom margin, with respect to component container.
`void` | `setController(FormatterController controller)` Set the formatter controller, used to override some JFormatterTextField protected methods.
`void` | `setDocument(javax.swing.text.Document doc)` Associates the editor with a text document.
`void` | `setFocusLostBehavior(int behavior)` Sets the behavior when focus is lost.
`void` | `setFormatter(javax.swing.JFormattedTextField.AbstractFormatter format)` Sets the current AbstractFormatter.
`void` | `setFormatterFactory(javax.swing.JFormattedTextField.AbstractFormatterFactory tf)` Sets the AbstractFormatterFactory.
`void` | `setInputVerifier(javax.swing.InputVerifier verifier)` Set an input verifier.
`void` | `setLeftMargin(int leftMargin)` Set component left margin, with respect to component container.
`void` | `setRightMargin(int rightMargin)` Set component right margin, with respect to component container.
`void` | `setTopMargin(int topMargin)` Set component top margin, with respect to component container.

Methods inherited from class org.openswing.swing.table.columns.client.Column
`getAdditionalHeaderColumnName, getAdditionalHeaderColumnSpan, getColumnName, getDesignColumnType, getHeaderColumnName, getHeaderFont, getHeaderForegroundColor, getHeaderTextHorizontalAlignment, getHeaderTextVerticalAlignment, getListFilter, getMaxWidth, getMinWidth, getPreferredWidth, getSortingOrder, getSortVersus, getTable, getTextAlignment, isAutoFitColumn, isColumnDuplicable, isColumnFilterable, isColumnRequired, isColumnSelectable, isColumnSortable, isColumnVisible, isEditableOnEdit, isEditableOnInsert, setAdditionalHeaderColumnName, setAdditionalHeaderColumnSpan, setAutoFitColumn, setColumnDuplicable, setColumnFilterable, setColumnName, setColumnRequired, setColumnSelectable, setColumnSortable, setColumnVisible, setEditableOnEdit, setEditableOnInsert, setHeaderColumnName, setHeaderFont, setHeaderForegroundColor, setHeaderTextHorizontalAlignment, setHeaderTextVerticalAlignment, setListFilter, setMaxWidth, setMinWidth, setPreferredWidth, setSortingOrder, setSortVersus, setTable, setTextAlignment`

Methods inherited from class javax.swing.JPanel
`getAccessibleContext, getUI, getUIClassID, setUI, updateUI`

Methods inherited from class javax.swing.JComponent
`addAncestorListener, addNotify, addPropertyChangeListener, addPropertyChangeListener, addVetoableChangeListener, computeVisibleRect, contains, createToolTip, disable, enable, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getActionForKeyStroke, getActionMap, getAlignmentX, getAlignmentY, getAncestorListeners, getAutoscrolls, getBorder, getBounds, getClientProperty, getConditionForKeyStroke, getDebugGraphicsOptions, getDefaultLocale, getGraphics, getHeight, getInputMap, getInputMap, getInputVerifier, getInsets, getInsets, getListeners, getLocation, getMaximumSize, getMinimumSize, getNextFocusableComponent, getPreferredSize, getPropertyChangeListeners, getPropertyChangeListeners, getRegisteredKeyStrokes, getRootPane, getSize, getToolTipLocation, getToolTipText, getToolTipText, getTopLevelAncestor, getTransferHandler, getVerifyInputWhenFocusTarget, getVetoableChangeListeners, getVisibleRect, getWidth, getX, getY, grabFocus, isDoubleBuffered, isLightweightComponent, isManagingFocus, isMaximumSizeSet, isMinimumSizeSet, isOpaque, isOptimizedDrawingEnabled, isPaintingTile, isPreferredSizeSet, isRequestFocusEnabled, isValidateRoot, paint, paintImmediately, paintImmediately, print, printAll, putClientProperty, registerKeyboardAction, registerKeyboardAction, removeAncestorListener, removeNotify, removePropertyChangeListener, removePropertyChangeListener, removeVetoableChangeListener, repaint, repaint, requestDefaultFocus, requestFocus, requestFocus, requestFocusInWindow, resetKeyboardActions, reshape, revalidate, scrollRectToVisible, setActionMap, setAlignmentX, setAlignmentY, setAutoscrolls, setBackground, setBorder, setDebugGraphicsOptions, setDefaultLocale, setDoubleBuffered, setEnabled, setFont, setForeground, setInputMap, setMaximumSize, setMinimumSize, setNextFocusableComponent, setOpaque, setPreferredSize, setRequestFocusEnabled, setToolTipText, setTransferHandler, setVerifyInputWhenFocusTarget, setVisible, unregisterKeyboardAction, update`

Methods inherited from class java.awt.Container
`add, add, add, add, add, addContainerListener, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getContainerListeners, getFocusTraversalKeys, getFocusTraversalPolicy, getLayout, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusCycleRoot, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paintComponents, preferredSize, printComponents, remove, remove, removeAll, removeContainerListener, setFocusCycleRoot, setFocusTraversalKeys, setFocusTraversalPolicy, setLayout, transferFocusBackward, transferFocusDownCycle, validate`

Methods inherited from class java.awt.Component
`action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, contains, createImage, createImage, createVolatileImage, createVolatileImage, dispatchEvent, enable, enableInputMethods, getBackground, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusCycleRootAncestor, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getFontMetrics, getForeground, getGraphicsConfiguration, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputContext, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocale, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMouseWheelListeners, getName, getParent, getPeer, getSize, getToolkit, getTreeLock, gotFocus, handleEvent, hasFocus, hide, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isShowing, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, postEvent, prepareImage, prepareImage, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, repaint, repaint, repaint, resize, resize, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setFocusable, setFocusTraversalKeysEnabled, setIgnoreRepaint, setLocale, setLocation, setLocation, setName, setSize, setSize, show, show, size, toString, transferFocus, transferFocusUpCycle`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### FormattedTextColumn

    public FormattedTextColumn()

Method Detail

### getColumnType

    public int getColumnType()

  Overrides:
    `getColumnType` in class `Column`
  Returns:
    column type

### commitEdit

    public final void commitEdit()
                          throws java.text.ParseException

  Forces the current value to be taken from the AbstractFormatter and set as the current value.

  Throws:
    `java.text.ParseException`

### getActions

    public final javax.swing.Action[] getActions()

  Returns:
    fetches the command list for the editor

### getFocusLostBehavior

    public final int getFocusLostBehavior()

  Returns:
    returns the behavior when focus is lost

### getFormatter

    public final javax.swing.JFormattedTextField.AbstractFormatter getFormatter()

  Returns:
    returns the AbstractFormatter that is used to format and parse the current value

### getFormatterFactory

    public final javax.swing.JFormattedTextField.AbstractFormatterFactory getFormatterFactory()

  Returns:
    returns the current AbstractFormatterFactory

### invalidEdit

    public final void invalidEdit()

  Invoked when the user inputs an invalid value.

### isEditValid

    public final boolean isEditValid()

  Returns:
    returns `true` if the current value being edited is valid

### setDocument

    public final void setDocument(javax.swing.text.Document doc)

  Associates the editor with a text document.

  Parameters:
    `doc` - document linked to this text field

### setFocusLostBehavior

    public void setFocusLostBehavior(int behavior)

  Sets the behavior when focus is lost.

  Parameters:
    `behavior` - behavior to set

### setFormatter

    public final void setFormatter(javax.swing.JFormattedTextField.AbstractFormatter format)

  Sets the current AbstractFormatter.

  Parameters:
    `format` - formatter to set

### setFormatterFactory

    public final void setFormatterFactory(javax.swing.JFormattedTextField.AbstractFormatterFactory tf)

  Sets the AbstractFormatterFactory.

  Parameters:
    `tf` - formatter factory

### setInputVerifier

    public final void setInputVerifier(javax.swing.InputVerifier verifier)

  Set an input verifier.

  Parameters:
    `verifier` - input verifier

### getController

    public final FormatterController getController()

  Returns:
    formatter controller, used to override some JFormatterTextField protected methods

### setController

    public final void setController(FormatterController controller)

  Set the formatter controller, used to override some JFormatterTextField protected methods.

  Parameters:
    `controller` - formatter controller

### getTextBox

    public final org.openswing.swing.table.columns.client.FormattedTextColumn.FormattedTextBox getTextBox()

  Returns:
    formatted text fiel NOTE: you do NOT have to use this method; it should be used only by cell renderer/editor

### getBottomMargin

    public final int getBottomMargin()

  Returns:
    component bottom margin, with respect to component container

### getLeftMargin

    public final int getLeftMargin()

  Returns:
    component left margin, with respect to component container

### getRightMargin

    public final int getRightMargin()

  Returns:
    component right margin, with respect to component container

### getTopMargin

    public final int getTopMargin()

  Returns:
    component top margin, with respect to component container

### setTopMargin

    public final void setTopMargin(int topMargin)

  Set component top margin, with respect to component container.

  Parameters:
    `topMargin` - component top margin

### setRightMargin

    public final void setRightMargin(int rightMargin)

  Set component right margin, with respect to component container.

  Parameters:
    `rightMargin` - component right margin

### setLeftMargin

    public final void setLeftMargin(int leftMargin)

  Set component left margin, with respect to component container.

  Parameters:
    `leftMargin` - component left margin

### setBottomMargin

    public final void setBottomMargin(int bottomMargin)

  Set component bottom margin, with respect to component container.

  Parameters:
    `bottomMargin` - component bottom margin

### getCellRenderer

    public final javax.swing.table.TableCellRenderer getCellRenderer(GridController tableContainer,
                                                                     Grids grids)

  Overrides:
    `getCellRenderer` in class `Column`
  Returns:
    TableCellRenderer for this column

### getCellEditor

    public final javax.swing.table.TableCellEditor getCellEditor(GridController tableContainer,
                                                                 Grids grids)

  Overrides:
    `getCellEditor` in class `Column`
  Returns:
    TableCellEditor for this column

Overview | Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD